Skip to content
payrocdevelopers

Retrieve refund instruction

Browse API reference

GET/refund-instructions/{refundInstructionId}getRefundInstruction

Use this method to retrieve information about a refund instruction.

To retrieve a refund instruction, you need its refundInstructionId. Our gateway returned the refundInstructionId in the response of the Submit Refund Instruction method.

Our gateway returns the status of the refund instruction. If the payment device completed the refund instruction, the response also includes a link to the refund.

Parameters

NameInTypeDescription
refundInstructionIdRequiredpathstring

Unique identifier that we assigned to the refund instruction.

Responses

Successful request. Returns the current status of the requested refund instruction.

200 OK · application/json
{
  "link": {
    "href": "https://api.payroc.com/v1/refunds/CD3HN88U9F",
    "method": "GET",
    "rel": "refund"
  },
  "refundInstructionId": "a37439165d134678a9100ebba3b29597",
  "status": "completed"
}
Response schema · 7 fields
  • errorMessagestring
    Description of the error that caused the instruction to fail. Note: We return this field only if the status is failure.
  • linkobject
    Object that contains HATEOAS links for the resource.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • statusstringrequired
    Indicates the current status of the instruction. canceled – The instruction was canceled before it was completed. completed – The instruction has completed. Use the link object to check the resource. failure – The instruction failed. Check the errorMessage field for more information. inProgress – The instruction is currently in progress.canceledcompletedfailureinProgress
  • refundInstructionIdstringrequired
    Unique identifier that we assigned to the refund instruction.1–36 chars

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer